Summary:	SSH-based configuration management, deployment, and task execution system
Name:		ansible-core
Version:	2.16.5
Release:	1%{?tld}
License:	GPL v3+
Group:		Development/Libraries
Source0:	https://github.com/ansible/ansible/archive/refs/tags/v%{version}.tar.gz
# Source0-md5:	c9bdae9ed088ee9f492bc9e49c118b5f
Source2:	poldek.py
Patch0:		poldek.patch
URL:		https://ansible.com
BuildRequires:	python3-PyYAML
BuildRequires:	python3-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ansible is a radically simple model-driven configuration management,
multi-node deployment, and remote task execution system. Ansible works
over SSH and does not require any software or daemons to be installed
on remote nodes. Extension modules can be written in any language and
are transferred to managed machines automatically.

%prep
%setup -q -n ansible-%{version}
%patch0 -p1

%{__sed} -i '1s,/usr/bin/env python,%{__python3},' \
	bin/ansible-test \
	test/lib/ansible_test/_util/target/cli/ansible_test_cli_stub.py

%build
%py3_build

mkdir -p docs/man/man1
LC_ALL=en_US.UTF-8 %{__python3} packaging/cli-doc/build.py man --output-dir docs/man/man1

%install
rm -rf $RPM_BUILD_ROOT
%py3_install

install -p %{SOURCE2} $RPM_BUILD_ROOT%{py3_sitescriptdir}/ansible/modules/

install -d $RPM_BUILD_ROOT%{_mandir}
cp -a docs/man/* $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/ansible
%attr(755,root,root) %{_bindir}/ansible-connection
%attr(755,root,root) %{_bindir}/ansible-test
%{_bindir}/ansible-config
%{_bindir}/ansible-console
%{_bindir}/ansible-doc
%{_bindir}/ansible-galaxy
%{_bindir}/ansible-inventory
%{_bindir}/ansible-playbook
%{_bindir}/ansible-pull
%{_bindir}/ansible-vault
%{_mandir}/man1/ansible-config.1*
%{_mandir}/man1/ansible-console.1*
%{_mandir}/man1/ansible-galaxy.1*
%{_mandir}/man1/ansible-inventory.1*
%{_mandir}/man1/ansible-vault.1*
%{_mandir}/man1/ansible.1*
%{_mandir}/man1/ansible-doc.1*
%{_mandir}/man1/ansible-playbook.1*
%{_mandir}/man1/ansible-pull.1*
%{py3_sitescriptdir}/ansible
%{py3_sitescriptdir}/ansible_core-%{version}-*.egg-info
%{py3_sitescriptdir}/ansible_test
%changelog
* Mon Apr 01 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/ansible-core.git;a=log;h=master

* Mon Apr 01 2024 Marcin Krol <hawk@tld-linux.org> 2533fa2
- updated to 2.16.5

* Sun Jan 07 2024 Marcin Krol <hawk@tld-linux.org> 7285645
- ansible-core based on ansible.spec

